#!/bin/bash
source ./sgrub_configure.sh
SDG_TEST_ISO_FILE="./sgd_test.iso"

if ./build_cdrom_iso_from_fs.sh ${SDG_TEST_ISO_FILE} ; then
echo -e "GREAT!: ISO created in ${SDG_TEST_ISO_FILE} from ${FS_TARGET} without any compilation.\n";
else
echo -e "ERROR: ISO COULD NOT be created in ${SDG_TEST_ISO_FILE} from ${FS_TARGET} without any compilation.\n Check permissions.\n";
exit 1;
fi

if ./test_any_cdrom_with_qemu.sh ${SDG_TEST_ISO_FILE} ; then
echo -e "GREAT!: test_any_cdrom_with_qemu.sh script finished correctly.\n";
else
echo -e "ERROR: test_any_cdrom_with_qemu.sh script DID NOT finish correctly.\n";
exit 1;
fi


echo -e "WELLDONE!: $0 script finished without any error!\n";
exit 0;
